Darshan 3.1.6 release is now available

Darshan version 3.1.6 is available for download here. This release addresses two bugs discovered in version 3.1.5:

  • Bug fix in mapping of Darshan’s ‘MPI_File_read_all’ wrapper to the underlying MPI symbol. This results in a crash if a dynamically-linked application preloads the Darshan library and calls ‘MPI_File_read_all’.
  • Bug fix for linker failures caused when an application links in a library that calls MPI externally (e.g., PETSc).
    • Reported by Bilel Hadri

We highly recommend upgrading from version 3.1.5 to 3.1.6 particularly for deployments on production systems, as these bugs could be disruptive for end users.

Please report any questions, issues, or concerns using the Darshan-users mailing list, or by opening an issue on the Darshan GitLab page.